if select(6, GetAddOnInfo("Parrot_" .. (debugstack():match("[P%.][a%.][r%.]rot\\Modules\\(.-)\\") or debugstack():match("[P%.][a%.][r%.]rot\\(.-)\\") or ""))) ~= "MISSING" then return end

local VERSION = tonumber(("$Revision: 42458 $"):match("%d+"))

local Parrot = Parrot
local Parrot_Damage = Parrot:NewModule("Damage", "Parser-3.0")
local self = Parrot_Damage
if Parrot.revision < VERSION then
	Parrot.version = "r" .. VERSION
	Parrot.revision = VERSION
	Parrot.date = ("$Date: 2007-07-01 22:46:50 -0400 (Sun, 01 Jul 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")
end
Parrot_Damage.desc = "Show damage"

local L = Parrot:L("Parrot_Damage")

function Parrot_Damage:OnEnable()
	self:RegisterParserEvent({
		eventType = "Damage",
		sourceID = "player",
	}, "OnDamageFromSelf")
	
	self:RegisterParserEvent({
		eventType = "Damage",
		recipientID = "player",
	}, "OnDamageToSelf")
end

function Parrot_Damage:OnDamageFromSelf(info)
	self:ShowMessage(info.amount)
end

function Parrot_Damage:OnDamageToSelf(info)
	if info.sourceID == "player" then
		return
	end
	self:ShowMessage(-info.amount)
end
